/* From Uiverse.io by JohnnyCSilva */
.login-section .container {
    display: flex;
    justify-content: center;
}

.form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background-color: #ffffff;
    padding: 30px;
    width: 450px;
    border-radius: 20px;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

#payment-details .form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background-color: #ffffff;
    padding: 30px;
    width: 100%;
    border-radius: 20px;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.dashboard-section .upload-content .form {
    padding: 0;
    width: 100%;
}

.form ::placeholder {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.form button {
    align-self: flex-end;
}

.form .flex-column>label {
    color: #151717;
    font-weight: 600;
}

/* Remove fixed height from .inputForm */
.form .inputForm {
    border: 1.5px solid #ecedec;
    border-radius: 10px;
    display: flex;
    align-items: center;
    padding-left: 10px;
    transition: 0.2s ease-in-out;
}

.form .inputForm input {
    height: 50px;
}

/* Add specific styles for textarea */
.form .inputForm textarea {
    margin-left: 10px;
    border-radius: 10px;
    border: none;
    width: 100%;
    height: auto;
    /* Allow textarea to expand */
    resize: vertical;
    /* Allow vertical resizing */
    padding: 10px;
    /* Add padding for better appearance */
    font-family: inherit;
    /* Inherit font styles */
}

.form .inputForm textarea:focus {
    outline: none;
}

.form .input {
    margin-left: 10px;
    border-radius: 10px;
    border: none;
    width: 100%;
    height: 100%;
}

.form .input:focus {
    outline: none;
}

.form .inputForm:focus-within {
    border: 1.5px solid #F4931D;
}

.form .flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    justify-content: space-between;
}

.form .flex-row>div>label {
    font-size: 14px;
    color: black;
    font-weight: 400;
}

.form .span {
    font-size: 14px;
    margin-left: 5px;
    color: #F4931D;
    font-weight: 500;
    cursor: pointer;
}

.form .login-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 10px 0;
    background-color: #F4931D;
    border: none;
    color: white;
    font-size: 15px;
    font-weight: 500;
    border-radius: 10px;
    height: 50px;
    width: 100%;
    cursor: pointer;
}

.form .pay-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 10px 0;
    background-color: #fff;
    border: solid 1px #F4931D;
    color: #F4931D;
    font-size: 15px;
    font-weight: 500;
    border-radius: 10px;
    height: 50px;
    width: 200px;
    cursor: pointer;
}

.form .pay-btn:hover {
    background-color: #F4931D;
    border: solid 1px #F4931D;
    color: #fff;

}

.form .upload-btn,
.form .add-price-btn,
.form .add-event-date-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0 10px 0;
    background-color: #F4931D;
    border: none;
    color: white;
    font-size: 15px;
    font-weight: 500;
    border-radius: 10px;
    height: 50px;
    width: 150px;
    cursor: pointer;
}

.form .p {
    text-align: center;
    color: black;
    font-size: 14px;
    margin: 5px 0;
}

.form .btn {
    margin-top: 10px;
    width: 100%;
    height: 50px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 500;
    gap: 10px;
    border: 1px solid #ededef;
    background-color: white;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

.form .btn:hover {
    border: 1px solid #2d79f3;
    ;
}

/* Change the hover background color for the date picker */
.gj-datepicker .gj-cursor-pointer:hover {
    background-color: #f0ad4e;
    /* Change this to your desired hover color */
}

/* Change the selected date's background color for the date picker */
.gj-datepicker .gj-cursor-pointer.gj-selected {
    background-color: #5bc0de;
    /* Change this to your desired selected date color */
    color: #fff;
    /* Ensure the text color is readable */
}

/* Center the elements within the .payment-container */
#payment-container,
#payment-waiting,
#payment-success,
#payment-failed {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}